import unit_converter


def python_unit_converter(celsius):
    return celsius * 1.8 + 32.0


def test_using_unit_converter():
    assert unit_converter.convert_celsius_to_fahrenheit(25.0) == 77.0
    assert python_unit_converter(25.0) == 77.0


def test_using_python(benchmark):
    result = benchmark(python_unit_converter, 25.0)
    assert result == 77.0


def test_using_rust(benchmark):
    result = benchmark(unit_converter.convert_celsius_to_fahrenheit, 25.0)
    assert result == 77.0
